# Maintainer: Antoni Aloy Torrens <antoni.aloytorrens@gmail.com>
pkgname='fractal'
pkgver='4.4.0'
pkgrel='0'
pkgdesc="GTK+ client for Matrix written in Rust"
arch=('amd64' 'i386' 'arm64' 'armhf' 'armel')
LICENSE=('GPL3')
makedepends=('meson' 'rustc' 'libssl-dev' 'libgtk-3-dev' 'libgstreamer-plugins-base1.0-dev' 'libgstreamer-plugins-bad1.0-dev' 'libges-1.0-dev' 'libgtksourceview-4-dev' 'libgspell-1-dev' 'libhandy-0.0-dev')
depends=('libgtk-3-0' 'libssl1.1' 'desktop-file-utils' 'appstream-util' 'libgstreamer-plugins-base1.0-0' 'libgstreamer-plugins-bad1.0-0' 'libges-1.0-0' 'gstreamer1.0-gtk3' 'libgtksourceview-4-0' 'libgspell-1-2' 'libhandy-0.0-0')
url="https://wiki.gnome.org/Apps/Fractal"
source=("https://gitlab.gnome.org/GNOME/fractal/-/archive/${pkgver}/fractal-${pkgver}.tar.gz")
sha256sums=('SKIP')

build() {
	cd "${srcdir}/${pkgname}-${pkgver}"
	meson setup \
		--prefix=/usr \
		--libdir=/usr/lib \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--includedir=/usr/include \
		--datadir=/usr/share \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--localedir=/usr/share/locale \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--sharedstatedir=/var/lib \
	build
	meson compile -C build
}

package() {
	cd "${srcdir}/${pkgname}-${pkgver}"
	msg2 "Setting up data..."
	DESTDIR="${pkgdir}" meson install -C build
}
